jQuery( document ).ready( function () {
    
    
    jQuery( '.tc_custom_date_picker_element_dob .tickera-input-field' ).each( function () {
        jQuery( this ).datepicker( {
            showButtonPanel: false,
            closeText: objectL10n.closeText,
            currentText: objectL10n.currentText,
            monthNames: objectL10n.monthNames,
            monthNamesShort: objectL10n.monthNamesShort,
            dayNames: objectL10n.dayNames,
            dayNamesShort: objectL10n.dayNamesShort,
            dayNamesMin: objectL10n.dayNamesMin,
            dateFormat: objectL10n.dateFormat,
            firstDay: objectL10n.firstDay,
            isRTL: objectL10n.isRTL,
            changeYear: true,
            yearRange: "1900:2017"
        } );
    } );


function ValidateDate(dtValue)
{
    var dtRegex = new RegExp(/\b\d{1,2}[\/-]\d{1,2}[\/-]\d{4}\b/);
    return dtRegex.test(dtValue);
}



jQuery("#proceed_to_checkout").click(function(e){
    
    jQuery('#tickera_cart .hasDatepicker').each(function(){
        var tc_date_value = jQuery(this).val();
        
        var dateRegex = /^(?=\d)(?:(?:31(?!.(?:0?[2469]|11))|(?:30|29)(?!.0?2)|29(?=.0?2.(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))(?:\x20|$))|(?:2[0-8]|1\d|0?[1-9]))([-.\/])(?:1[012]|0?[1-9])\1(?:1[6-9]|[2-9]\d)?\d\d(?:(?=\x20\d)\x20|$))?(((0?[1-9]|1[012])(:[0-5]\d){0,2}(\x20[AP]M))|([01]\d|2[0-3])(:[0-5]\d){1,2})?$/;
        var tc_check_date =  dateRegex.test( tc_date_value ) ;
        
        if(tc_check_date == false) {
                e.preventDefault();
                jQuery(".tc_cart_errors").append("<li>Date you have entered is not correct.</li>");

        }
                
    });
    
});



} );